<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="Declares the handler for a port-component. Handlers can access the      init-param name/value pairs using the HandlerInfo interface. If      port-name is not specified, the handler is assumed to be associated      with all ports of the service.        Used in: service-ref">
<meta name="KeyWords" content="Service Ref,Class Diagram Service Ref,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;Diagram:&nbsp;wsclient&nbsp;/&nbsp;Service&nbsp;Ref</b></font></p>
<MAP NAME="mymap">
<AREA Shape="Polygon" coords = "842,584,842,642,962,642,962,584" HREF="../cat38c08f0f038d/class3e4d451f01fb.htm">
<AREA Shape="Polygon" coords = "469,119,469,177,697,177,697,119" HREF="class3e4d30d903a7.htm">
<AREA Shape="Polygon" coords = "74,334,74,392,232,392,232,334" HREF="class3f2eb42a00aa.htm">
<AREA Shape="Polygon" coords = "120,77,120,117,248,117,248,77" HREF="class3f2eb3090267.htm">
<AREA Shape="Polygon" coords = "185,117,160,334,152,333,177,116" HREF="../../looseends/ass3f2eb48e0271.htm">
<AREA Shape="Polygon" coords = "846,256,846,298,924,298,924,256" HREF="../cat36549f2c004e/class36549fcc00fa.htm">
<AREA Shape="Polygon" coords = "697,153,0,0,883,153,883,256,876,256,876,160,0,0,697,160" HREF="../../looseends/ass3e4d310700e6.htm">
<AREA Shape="Polygon" coords = "544,769,544,875,663,875,663,769" HREF="../cat38c08f0f038d/class3e4c221202c1.htm">
<AREA Shape="Polygon" coords = "474,314,474,402,692,402,692,314" HREF="class3e4d2f560184.htm">
<AREA Shape="Polygon" coords = "579,313,579,177,587,177,587,313" HREF="../../looseends/ass3e4d313c039f.htm">
<AREA Shape="Polygon" coords = "850,298,850,342,0,0,692,342,692,334,0,0,843,334,843,298" HREF="../../looseends/ass3e4d2fe101fc.htm">
<AREA Shape="Polygon" coords = "232,358,473,355,474,363,232,366" HREF="../../looseends/ass3f2eb52403d5.htm">
<AREA Shape="Polygon" coords = "216,113,518,310,514,317,212,120" HREF="../../looseends/ass3f2eb59b006f.htm">
<AREA Shape="Polygon" coords = "206,519,206,640,391,640,391,519" HREF="../cat38c08f0f038d/class3f3bef5d02c0.htm">
<AREA Shape="Polygon" coords = "474,382,361,382,0,0,361,519,354,519,0,0,354,375,474,375" HREF="../../looseends/ass3f4392cc02fa.htm">
<AREA Shape="Polygon" coords = "506,580,506,668,681,668,681,580" HREF="class3e4d31640072.htm">
<AREA Shape="Polygon" coords = "613,580,613,459,881,459,881,298,888,298,888,466,621,466,621,580" HREF="../../looseends/ass3e4d31f9012a.htm">
<AREA Shape="Polygon" coords = "607,668,607,769,599,769,599,668" HREF="../../looseends/ass3e4d3221002d.htm">
<AREA Shape="Polygon" coords = "563,402,563,580,556,580,556,402" HREF="../../looseends/ass3e4d316e031f.htm">
<AREA Shape="Polygon" coords = "506,646,366,646,366,694,285,694,286,640,293,640,293,687,359,687,359,638,506,638" HREF="../../looseends/ass3f43933c02a0.htm">
</MAP>
<IMG SRC="dgm3e4d30a20131.jpg" USEMAP="#mymap" BORDER=0>
</body>
</html>
